---
title: "Profile"
description: "获取 X 账号的资料。"
---

```http
GET | POST /v1/x/profile
```

参数可以用 `GET` 的查询字符串发送，也可以用 `POST` 的 JSON 请求体发送，两者等价。

## 传入内容

| 传入 | 读取内容 | 说明 |
|---|---|---|
| `username` | 该资料 |  |

每次调用只传一个来源。所有标识符也都接受页面 URL。

## 参数

| Parameter | Type | Required | Notes |
|---|---|---|---|
| `username` | string |  | @handle (with or without @), or the profile URL. |

## 请求

```bash tab="cURL"
curl "https://gateway.apinoa.com/v1/x/profile?username=nasa" \
  -H "x-api-key: $APINOA_API_KEY"
```

```js tab="JavaScript"
const params = new URLSearchParams({ username: "nasa" });
const res = await fetch(`https://gateway.apinoa.com/v1/x/profile?${params}`, {
  headers: { "x-api-key": process.env.APINOA_API_KEY },
});
const { success, data, error } = await res.json();
```

```python tab="Python"
import os

import requests

res = requests.get(
    "https://gateway.apinoa.com/v1/x/profile",
    params={"username": "nasa"},
    headers={"x-api-key": os.environ["APINOA_API_KEY"]},
)
body = res.json()
```

## 响应

在 `data` 中返回 [`Account`](/docs/api-reference/sns/response-schema#account)。 真实响应的节选：数组只保留前几项，长文本已截断。

```json
{
  "success": true,
  "data": {
    "platform": "x",
    "id": "11348282",
    "handle": "NASA",
    "displayName": "NASA",
    "bio": "Making the seemingly impossible, possible. ✨",
    "url": "https://x.com/NASA",
    "avatarUrl": "https://pbs.twimg.com/profile_images/1321163587679784960/0ZxKlEKB.jpg",
    "bannerUrl": "https://pbs.twimg.com/profile_banners/11348282/1788992290",
    "verified": true,
    "createdAt": "2007-12-19T20:20:32.000Z",
    "counts": {
      "followers": 92311215,
      "following": 115,
      "posts": 74453
    },
    "links": [
      {
        "url": "http://www.nasa.gov/",
        "title": "nasa.gov"
      }
    ],
    "private": false,
    "ext": {
      "blueVerified": true,
      "verifiedType": "Government",
      "location": "Pale Blue Dot",
      "affiliatesCount": 85,
      "highlightedTweetsCount": 287,
      "birthdate": {
        "day": 1,
        "month": 10,
        "year": 1958
      }
    }
  }
}
```

## 错误

| 状态 | 代码 | 含义 |
|---|---|---|
| 400 | `INVALID_PARAMS` | 参数缺失、未知或超出范围。消息中会指出是哪一个。 |
| 401 | `UNAUTHORIZED` | 缺少 `x-api-key` 请求头，或密钥已吊销或未知。 |
| 402 | `INSUFFICIENT_BALANCE` | 余额不足以支付本次调用。请在控制台充值。 |
| 404 | `NOT_FOUND` | 账号、帖子或分组不存在，或为私密、已删除、有年龄限制。 |
| 429 | `MARKETPLACE_SATURATED` | 并发调用过多。请等待 `Retry-After` 秒后重试。 |
| 502 | `UPSTREAM_ERROR` | 平台返回了无法使用的内容。请退避后重试。 |

全部错误代码见 [Errors](/docs/errors)。失败的调用不计费。

## 价格

**Price** $0.001 per call. [List price](https://apinoa.com/en/pricing); the rate steps down above 1,000 calls a day.
